Bug 247556 - converters/wkhtmltopdf: linker error : cannot find -lQtWebKit
Summary: converters/wkhtmltopdf: linker error : cannot find -lQtWebKit
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: --- Affects Many People
Assignee: Kurt Jaeger
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2020-06-26 07:30 UTC by O. Hartmann
Modified: 2020-07-23 01:40 UTC (History)
0 users

See Also:
bugzilla: maintainer-feedback? (pi)


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description O. Hartmann 2020-06-26 07:30:02 UTC
The port persists to fail under 11.3, 11.4, 12-STABLE and CURRENT
.

[...]

=>> Building converters/wkhtmltopdf
build started at Wed Jun 24 15:50:05 UTC 2020
port directory: /usr/ports/converters/wkhtmltopdf
package name: wkhtmltopdf-0.12.5_5
building for: FreeBSD my.host.gdr 11.4-RELEASE FreeBSD 11.4-RELEASE 1104001 amd64
maintained by: pi@FreeBSD.org
Makefile ident:      $FreeBSD: head/converters/wkhtmltopdf/Makefile 516745 2019-11-04 21:36:13Z zeising $
Poudriere version: 3.3.4
Host OSVERSION: 1300099
Jail OSVERSION: 1104001
Job Id: 03

---Begin Environment---
SHELL=/bin/csh
OSVERSION=1104001
UNAME_v=FreeBSD 11.4-RELEASE 1104001
UNAME_r=11.4-RELEASE
BLOCKSIZE=K
MAIL=/var/mail/root
STATUS=1
HOME=/root
PATH=/sbin:/bin:/usr/sbin:/usr/bin:/usr/local/sbin:/usr/local/bin:/root/bin
LOCALBASE=/usr/local
USER=root
LIBEXECPREFIX=/usr/local/libexec/poudriere
POUDRIERE_VERSION=3.3.4
MAKEOBJDIRPREFIX=/pool/sources/11.4-RELENG/obj
MASTERMNT=/pool/poudriere/data/.m/11amd64-head-default/ref
POUDRIERE_BUILD_TYPE=bulk
PACKAGE_BUILDING=yes
SAVED_TERM=screen
PWD=/pool/poudriere/data/.m/11amd64-head-default/ref/.p/pool
P_PORTS_FEATURES=FLAVORS SELECTED_OPTIONS
MASTERNAME=11amd64-head-default
SCRIPTPREFIX=/usr/local/share/poudriere
OLDPWD=/pool/poudriere/data/.m/11amd64-head-default/ref/.p
SCRIPTPATH=/usr/local/share/poudriere/bulk.sh
POUDRIEREPATH=/usr/local/bin/poudriere
---End Environment---

---Begin Poudriere Port Flags/Env---
PORT_FLAGS=
PKGENV=
FLAVOR=
DEPENDS_ARGS=
MAKE_ARGS=
---End Poudriere Port Flags/Env---

---Begin OPTIONS List---
---End OPTIONS List---


[...]
2 warnings generated.
6 warnings generated.
10 warnings generated.
8 warnings generated.
rm -f libwkhtmltox.so.0.12.5 libwkhtmltox.so libwkhtmltox.so.0 libwkhtmltox.so.0.12
c++ -Wl,-rpath=/usr/local/lib/gcc9 -Wl,-O1 -pthread -shared -Wl,-soname,libwkhtmltox.so.0 -o libwkhtmltox.so.0.12.5 loadsettings.o logging.o multipageloader.o tempfile.o converter.o websettings.o reflect.o utilities.o pdfsettings.o pdfconverter.o outline.o tocstylesheet.o imagesettings.o imageconverter.o pdf_c_bindings.o image_c_bindings.o moc_multipageloader_p.o moc_converter_p.o moc_pdfconverter_p.o moc_imageconverter_p.o moc_pdf_c_bindings_p.o moc_image_c_bindings_p.o moc_converter.o moc_multipageloader.o moc_utilities.o moc_pdfconverter.o moc_imageconverter.o qrc_wkhtmltopdf.o   -L/usr/local/lib -L/wrkdirs/usr/ports/converters/wkhtmltopdf/work/wkhtmltopdf-0.12.5/build/qt/lib -L/wrkdirs/usr/ports/converters/wkhtmltopdf/work/wkhtmltopdf-0.12.5/build/qt/plugins/codecs -lqcncodecs -L/wrkdirs/usr/ports/converters/wkhtmltopdf/work/wkhtmltopdf-0.12.5/build/qt/lib -L/usr/local/lib -lqjpcodecs -lqkrcodecs -lqtwcodecs -lQtWebKit -lQtSvg -lQtXmlPatterns -lQtGui -ljpeg -lpng -lXrender -lfontconfig -lfreetype -lXext -lX11 -lQtNetwork -lssl -lcrypto -lQtCore -lz -lm  
/usr/bin/ld: cannot find -lQtWebKit
c++: error: linker command failed with exit code 1 (use -v to see invocation)
gmake[2]: *** [Makefile:164: ../../bin/libwkhtmltox.so.0.12.5] Error 1
gmake[2]: Leaving directory '/wrkdirs/usr/ports/converters/wkhtmltopdf/work/wkhtmltopdf-0.12.5/build/app/src/lib'
gmake[1]: *** [Makefile:49: sub-src-lib-all-ordered] Error 2
gmake[1]: Leaving directory '/wrkdirs/usr/ports/converters/wkhtmltopdf/work/wkhtmltopdf-0.12.5/build/app'
*** Error code 2

Stop.
make: stopped in /usr/ports/converters/wkhtmltopdf
Comment 1 commit-hook freebsd_committer 2020-07-23 01:35:08 UTC
A commit references this bug:

Author: pi
Date: Thu Jul 23 01:34:05 UTC 2020
New revision: 542904
URL: https://svnweb.freebsd.org/changeset/ports/542904

Log:
  converters/wkhtmltopdf: update 0.12.5 -> 0.12.6, fix build

  - remove dependency on www/qt5-webkit
  - BREAKING CHANGE: block local filesystem access by default
  - pet portlint

  PR:		243349, 248039, 247556, 241397
  Submitted by:	r.quakkelaar@quaras.nl
  Reported by:	ohartmann@walstatt.org, rs@bytecamp.net
  Reviewed by:	jonc@chen.org.nz, jhibbits
  Relnotes:	https://github.com/wkhtmltopdf/wkhtmltopdf/releases/tag/0.12.6

Changes:
  head/converters/wkhtmltopdf/Makefile
  head/converters/wkhtmltopdf/distinfo
  head/converters/wkhtmltopdf/files/patch-config.tests_unix_compile.test
  head/converters/wkhtmltopdf/files/patch-configure
  head/converters/wkhtmltopdf/files/patch-libcxx
  head/converters/wkhtmltopdf/files/patch-mkspecs_common_gcc-base.conf
  head/converters/wkhtmltopdf/files/patch-src__3rdparty__webkit__Source__JavaScriptCore__runtime__JSValueInlineMethods.h
  head/converters/wkhtmltopdf/files/patch-src__3rdparty__webkit__Source__JavaScriptCore__wtf__Atomics.h
  head/converters/wkhtmltopdf/files/patch-src__3rdparty__webkit__Source__WebKit__qt__QtWebKit.pro
  head/converters/wkhtmltopdf/pkg-plist
Comment 2 commit-hook freebsd_committer 2020-07-23 01:39:13 UTC
A commit references this bug:

Author: pi
Date: Thu Jul 23 01:39:03 UTC 2020
New revision: 542905
URL: https://svnweb.freebsd.org/changeset/ports/542905

Log:
  MFH: r542904

  converters/wkhtmltopdf: update 0.12.5 -> 0.12.6, fix build

  - remove dependency on www/qt5-webkit
  - BREAKING CHANGE: block local filesystem access by default
  - pet portlint

  PR:		243349, 248039, 247556, 241397
  Submitted by:	r.quakkelaar@quaras.nl
  Reported by:	ohartmann@walstatt.org, rs@bytecamp.net
  Reviewed by:	jonc@chen.org.nz, jhibbits
  Relnotes:	https://github.com/wkhtmltopdf/wkhtmltopdf/releases/tag/0.12.6
  Approved by:	portmgr (build fix blanket)

Changes:
_U  branches/2020Q3/
  branches/2020Q3/converters/wkhtmltopdf/Makefile
  branches/2020Q3/converters/wkhtmltopdf/distinfo
  branches/2020Q3/converters/wkhtmltopdf/files/patch-config.tests_unix_compile.test
  branches/2020Q3/converters/wkhtmltopdf/files/patch-configure
  branches/2020Q3/converters/wkhtmltopdf/files/patch-libcxx
  branches/2020Q3/converters/wkhtmltopdf/files/patch-mkspecs_common_gcc-base.conf
  branches/2020Q3/converters/wkhtmltopdf/files/patch-src__3rdparty__webkit__Source__JavaScriptCore__runtime__JSValueInlineMethods.h
  branches/2020Q3/converters/wkhtmltopdf/files/patch-src__3rdparty__webkit__Source__JavaScriptCore__wtf__Atomics.h
  branches/2020Q3/converters/wkhtmltopdf/files/patch-src__3rdparty__webkit__Source__WebKit__qt__QtWebKit.pro
  branches/2020Q3/converters/wkhtmltopdf/pkg-plist